module Config.Pages.Debate.Cuckery.Records.AustinHiggs exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckAustinHiggs : Cuck
cuckAustinHiggs =
    let
        name : String
        name =
            "Austin Higgs"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/artofoptimal"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1869452605954707861"
          , dodgeDescription = NoReply
          , dodgeProposition = "We have been mislead into believing natural animals fats will kill us while highly processed seed oils are heart healthy."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
