module Config.Pages.Debate.Cuckery.Records.BowTiedOx exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )


cuckBowTiedOx : Cuck
cuckBowTiedOx =
    let
        name : String
        name =
            "BowTiedOx"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/BowTiedOx"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1509370357722931208"
          , dodgeDescription = VagueGesture
          , dodgeProposition = "If you eat a ton of omega 3, the damage of omega 6 is lessened."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just MechanisticMasturbation
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason "The aggregate of the data suggests omega-6 and omega-3 are both health-promoting, and it's not clear at all that one lessens any negative effect of the other."
          }
        ]
    }
