module Config.Pages.Debate.Cuckery.Records.BradCohn exposing (cuckBradCohn)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , commonProps
        )


cuckBradCohn : Cuck
cuckBradCohn =
    let
        name : String
        name =
            "Brad Cohn"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/BradCohn"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1687535030862831616"
          , dodgeDescription = NoReply
          , dodgeProposition = commonProps.propSeedOils
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        , { dodgeLink = "https://x.com/upRootNutrition/status/1474139301369634816"
          , dodgeDescription = RanAway
          , dodgeProposition = "RCTs and cohort studies wouldn't pick up on the effect of the displacing foods of modern commerce."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = SpecificPropReason "I'm not even sure what the proposition was intending to communicate."
          }
        , { dodgeLink = "https://x.com/upRootNutrition/status/1443654067411030046"
          , dodgeDescription = RanAway
          , dodgeProposition = "Seed oils are associated with AMD, particularly if people don't have sufficient levels of antioxidants in their diets."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason "The aggregate of the data suggests seed oils have no statistically significant association with age-related macular degeneration."
          }
        ]
    }
