module Config.Pages.Debate.Cuckery.Records.BrianKateman exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )


cuckBrianKateman : Cuck
cuckBrianKateman =
    let
        name : String
        name =
            "Brian Kateman"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/BrianKateman"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/BrianKateman/status/1645884359344369668"
          , dodgeDescription = NoReply
          , dodgeProposition = "If someone identifies as vegan, then going for a casual stroll is a cruel choice."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just (SpecificFallacy "Nirvana Fallacy")
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason "This just misunderstands vegan values. Vegans don't want to contribute to additional rights violations against sentient beings, such as animals. It's completely unclear how going for a stroll voilates this principle."
          }
        ]
    }
