module Config.Pages.Debate.Cuckery.Records.CameronRuggles exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckCameronRuggles : Cuck
cuckCameronRuggles =
    let
        name : String
        name =
            "Cameron Ruggles"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/CameronRuggles"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1503799477324300290"
          , dodgeDescription = VagueGesture
          , dodgeProposition = "Nick's antagonistic pleiotropy argument commits him to affirming that trans-fat is healthy."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just Strawman
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason "This is a bizarre claim that requires some sort of evidence, and none was provided."
          }
        ]
    }
