module Config.Pages.Debate.Cuckery.Records.DaltonGraham exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , commonProps
        )


cuckDaltonGraham : Cuck
cuckDaltonGraham =
    let
        name : String
        name =
            "Dalton Graham"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/Outdoctrination"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/Outdoctrination/status/1488564457894813699"
          , dodgeDescription = VagueGesture
          , dodgeProposition = commonProps.propSeedOils
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
