module Config.Pages.Debate.Cuckery.Records.DaveFeldman exposing (cuckDaveFeldman)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , noProposition
        )


cuckDaveFeldman : Cuck
cuckDaveFeldman =
    let
        name : String
        name =
            "Dave Feldman"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/realDaveFeldman"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1306625219440730118?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = noProposition
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Nothing
          , dodgeNicksDoxasticReason = NoProp
          }
        , { dodgeLink = "https://x.com/upRootNutrition/status/1842372113946329138"
          , dodgeDescription = NoReply
          , dodgeProposition = "Seed oils are healthful."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
