module Config.Pages.Debate.Cuckery.Records.DevanandPrabhu exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , commonProps
        )


cuckDevanandPrabhu : Cuck
cuckDevanandPrabhu =
    let
        name : String
        name =
            "Devanand Prabhu"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/MindMusclePro"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1480580946122452997"
          , dodgeDescription = EmptyHanded
          , dodgeProposition = commonProps.propSeedOils
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
