module Config.Pages.Debate.Cuckery.Records.EdSerrano exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckEdSerrano : Cuck
cuckEdSerrano =
    let
        name : String
        name =
            "Ed Serrano"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/ed_e_s"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1848829301464142296"
          , dodgeDescription = EmptyHanded
          , dodgeProposition = "Exercise, a whole food diet, and a gut cleanse can solve the eating and health disorders many people face today."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just MechanisticMasturbation
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propEmpiricalClaimDisbelief
          }
        ]
    }
