module Config.Pages.Debate.Cuckery.Records.EricSartori exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )


cuckEricSartori : Cuck
cuckEricSartori =
    let
        name : String
        name =
            "Eric Sartori"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://www.youtube.com/NurseEric"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/Batleth108/status/1655237358424555520"
          , dodgeDescription = PussiedOut
          , dodgeProposition = "Vitamin A deficiency isn't real."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason "The primary symptom of vitamin A deficiency is xerophthalmia. We have a number of interventions dosing vitamin A, oftentimes with a control group, and seeing xerophthalmia resolve. Given the etiology of the disease (insufficient retinoic acid), this is just straightforward."
          }
        ]
    }
