module Config.Pages.Debate.Cuckery.Records.GarryLee exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )


cuckGarryLee : Cuck
cuckGarryLee =
    let
        name : String
        name =
            "Garry Lee"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/Gearoidmuar"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1450834923875676161"
          , dodgeDescription = RanAway
          , dodgeProposition = "With respect to saturated fat, France is a serious outlier in prevalence of actual clinical ischemic heart disease."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just (SpecificFallacy "Ecological Fallacy")
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason "Modern analyses of France that model substitutions demonstrate that saturated fat, even in France, increases the risk of ischemic heart disease."
          }
        ]
    }
