module Config.Pages.Debate.Cuckery.Records.MacroFour exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )


cuckMacroFour : Cuck
cuckMacroFour =
    let
        name : String
        name =
            "Macro Four"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = ""
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1277611651345203200"
          , dodgeDescription = VagueGesture
          , dodgeProposition = "People get the solution to diseases wrong when they forget biochemistry and look at observed associations."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just MechanisticMasturbation
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason "Speculation about punative mechanisms translates to real-world outcomes in <7% of cases according to best estimates, whereas epidemiological associations translate with far greater frequency."
          }
        ]
    }
