module Config.Pages.Debate.Cuckery.Records.MarkBski exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckMarkBski : Cuck
cuckMarkBski =
    let
        name : String
        name =
            "Mark Bski"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/MarkBski"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1538922143915835395"
          , dodgeDescription = NoReply
          , dodgeProposition = "There is no proof a vegan diet is ethical."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propTooVague
          }
        ]
    }
