module Config.Pages.Debate.Cuckery.Records.MiguelEspejel exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , commonProps
        )


cuckMiguelEspejel : Cuck
cuckMiguelEspejel =
    let
        name : String
        name =
            "Miguel Espejel"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/Mespejel29"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1382787616857231361?s=20"
          , dodgeDescription = VagueGesture
          , dodgeProposition = commonProps.propSeedOils
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just AppealToNature
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
