module Config.Pages.Debate.Cuckery.Records.NoCarbsNation exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckNoCarbsNation : Cuck
cuckNoCarbsNation =
    let
        name : String
        name =
            "No Carbs Nation"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/NoCarbsNation"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1412056652803543048"
          , dodgeDescription = PussiedOut
          , dodgeProposition = "Saturated fat is not the cause of heart disease"
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSaturatedFatReason
          }
        ]
    }
