module Config.Pages.Debate.Cuckery.Records.SamTsimikas exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )
import Config.Pages.Debate.Gibberish.Types exposing (Explanation(..))


cuckSamTsimikas : Cuck
cuckSamTsimikas =
    let
        name : String
        name =
            "Sam Tsimikas"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/Lpa_Doc"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1481297803179708417"
          , dodgeDescription = EmptyHanded
          , dodgeProposition = "The 4E6 antibody assay makes poor distinctions between oxLDL and native LDL"
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason "If 4E6 truly had low sensitivity, why is there no evidence of extreme multicollinearity in the results of the model used by Wu, et al, 2006? We'd expect to see evidence of equality in the results, but instead we see evidence of independence."
          }
        ]
    }
