module Config.Pages.Debate.Cuckery.Records.ScottPsysher exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckScottPsysher : Cuck
cuckScottPsysher =
    let
        name : String
        name =
            "Scott Psysher"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/LowcarbLiberty"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1521985009762004992"
          , dodgeDescription = NoReply
          , dodgeProposition = "Nick is a nutritional authoritarian with seed oil and plant-based ideology."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propTooVague
          }
        ]
    }
